Bug 1721909 - [OSP-15] Some unit tests are failing in D/S CI
Summary: [OSP-15] Some unit tests are failing in D/S CI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 15.0 (Stein)
Assignee: Bernard Cafarelli
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-19 08:58 UTC by Slawek Kaplonski
Modified: 2019-09-26 10:52 UTC (History)
4 users (show)

Fixed In Version: openstack-neutron-14.0.2-0.20190621000417.fc8861d.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:23:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 649681 0 None None None 2019-06-20 10:46:35 UTC
OpenStack gerrit 666539 0 None None None 2019-06-20 11:23:37 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:23:36 UTC

Comment 2 Bernard Cafarelli 2019-06-20 10:41:18 UTC
The 4 failing tests:
neutron.tests.unit.extensions.test_extraroute.ExtraRouteDBIntTestCase.test_floatingip_via_router_interface_returns_201
neutron.tests.unit.extensions.test_extraroute.ExtraRouteDBSepTestCase.test_floatingip_via_router_interface_returns_201
neutron.tests.unit.extensions.test_l3.L3NatDBIntTestCase.test_floatingip_via_router_interface_returns_201
neutron.tests.unit.extensions.test_l3.L3NatDBSepTestCase.test_floatingip_via_router_interface_returns_201

Similar traceback: testtools.matchers._impl.MismatchError: 201 != 500'

Manually running them adds some logs, the actual issue is queries not working with sqlalchemy 1.3:
sqlalchemy.exc.InvalidRequestError: Can't determine which FROM clause to join from, there are multiple FROMS which can join to this entity. Try adding an explicit ON clause to help resolve the ambiguity.

Comment 4 Slawek Kaplonski 2019-06-20 10:51:18 UTC
Hi Bernard,

SQLAlchemy error which You saw looks very similar to what I recently fixed in bagpipe repo: https://review.opendev.org/#/c/665637/ - it's probably the same problem in Neutron.

Comment 5 Bernard Cafarelli 2019-06-20 11:23:38 UTC
Another sqlalchemy restriction actually, but Rodolfo already had it handled in neutron https://review.opendev.org/#/c/649681
Backport in progress, then we should be all good here (I manually tested the fix and these 4 UT pass again with it as expected)

Comment 12 errata-xmlrpc 2019-09-21 11:23:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.